#pragma once
#include <Arduino.h>

enum class ButtonEvent : uint8_t {
    NONE,
    UP_PRESS,
    DOWN_PRESS,
    OK_PRESS
};

void        buttons_init();
ButtonEvent buttons_update();
bool        buttons_check_ok_held_at_boot();
